Skip to main content
POST
/
contract
/
v1
/
contracts
Create a contract
curl --request POST \
  --url https://api-{region}.sesametime.com/contract/v1/contracts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startAt": "2023-12-25",
  "endAt": "2023-12-25",
  "code": "<string>",
  "comment": "<string>",
  "jobChargeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workDayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "socialSecurityNumber": "<string>",
  "trialPeriod": {
    "trialPeriodType": "months",
    "quantity": "6"
  },
  "cbo": "<string>",
  "remoteWork": true,
  "seniorityDate": "2023-12-25",
  "jobLevel": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "jobPositionDescription": "<string>",
  "weeklyHours": 123,
  "maxLegalWeeklyHours": 123,
  "maxLegalAnnualHours": 123,
  "percentageWorkDay": 123,
  "fte": 123,
  "workDays": [
    {
      "day": "monday",
      "hour": 123
    }
  ]
}
'
{
  "data": {
    "id": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
    "startAt": "2021-12-13",
    "endAt": "2022-12-13",
    "startDate": "2021-12-13",
    "endDate": "2022-12-13",
    "comment": "",
    "code": "",
    "jobChargeId": "c6bd9090-06ec-48e5-a3bc-22181cf0a6c9",
    "jobChargeName": "the name of the job charge",
    "contractTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "contractTypeName": "<string>",
    "agreementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agreementName": "<string>",
    "degreeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "degreeName": "<string>",
    "workDayTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workDayTypeName": "<string>",
    "socialSecurityNumber": "<string>",
    "trialPeriodType": "<string>",
    "trialPeriodQuantity": 123,
    "seniorityDate": "2022-12-13",
    "percentageWorkDay": 123,
    "weeklyHours": 123,
    "cbo": "",
    "remoteWork": true,
    "jobLevelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "jobLevelName": "<string>",
    "jobPositionDescription": "<string>",
    "maxLegalWeeklyHours": 123,
    "maxLegalAnnualHours": 123,
    "fte": 123,
    "workDays": [
      {
        "day": "monday",
        "hours": 8
      }
    ]
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Contract object that needs to be created

employeeId
string<uuid>
required

The ID of the employee

startAt
string<date>
required

Start date of contract

endAt
string<date>

end date of contract

code
string

Code of the contract

comment
string

Comments

jobChargeId
string<uuid>

The ID of the job charge

contractTypeId
string<uuid>

The ID of the agreement

agreementId
string<uuid>

The ID of the agreement

degreeId
string<uuid>

The ID of the degree

workDayTypeId
string<uuid>

The ID of the work type

socialSecurityNumber
string

The social security number

trialPeriod
object
cbo
string
Pattern: ^\d{4}(-\d{2})?$
remoteWork
boolean

Remote work

seniorityDate
string<date>

Seniority date

jobLevel
string<uuid>

The job level

jobPositionDescription
string

The job position description

weeklyHours
number<float>

Weekly working hours

Max legal weekly working hours

Max legal annual working hours

percentageWorkDay
number<float>

Percentage of workday

fte
number<float>

The FTE value should be between 0 and 1

workDays
object[]

Response

200 - application/json
data
object
meta
object